# Note to Linux-Mandrake packagers:
#   - mail me (<baudens@mandrakesoft.com>) before modify this spec
#   - don't use macrozification for this spec

%define version 20000909
%define	release	1mdk
%define prefix	/usr/X11R6

Summary:	MS-Windows emulator
Name:		wine
Version:	%{version}
Release:	%{release}
Copyright:	Wine Licence (X11 like, see LICENSE)
Group:		Emulators
Packager:	David BAUDENS <baudens@mandrakesoft.com>

Source0:	Wine-%{version}.tar.bz2
Source1:	wine-mandrake.conf
Source2:	wine-config

URL:		http://www.winehq.com/
ExclusiveArch:	i386 i486 i586 i686 k6 k7
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		/bin/sed, /bin/awk, /bin/egrep
Obsoletes:	wine-debug < 20000430
BuildRequires:	XFree86-devel xpm-devel gpm-devel ncurses-devel glibc-devel

%description
Wine, the Windows emulator, allows running Windows 3.*, Windows 95/98 and
Windows NT programs on a i386 (or compatible) machine running X11.

It is still alpha level code; don't expect everything to work.

%package devel
Requires:	%{name} = %{version}-%{release}
Summary:	MS-Windows emulator - Devel files
Group:		Emulators

%description devel
Wine, the Windows emulator, allows running Windows 3.*, Windows 95/98 and
Windows NT programs on a i386 (or compatible) machine running X11.

This package provides the necessary development libraries and include files
to allow you to develop programs using Wine environment.

%prep

%setup

%build
find . -type 'd' -name 'CVS'|xargs rm -rf

# Make RPMLint happy (we can't fix SOVERSION, it doesn't build with)
# perl -p -i -e 's|,\-rpath.*|.\\\$(SOVERSION)\"|' configure.in
perl -p -i -e 's|,\-rpath.*|\"|' configure.in
autoconf

# Don't use macros. I want this, it's not a wish.
# Try to enable OpenGL (20000801-2mdk)
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{prefix} \
				 --sysconfdir=/etc \
				 --enable-opengl \
				 --mandir=%{prefix}/man
make depend
make

%install
rm -rf $RPM_BUILD_ROOT

# Allow users to build
perl -p -i -e "s|-\$(LDCONFIG)|#-\$(LDCONFIG)|" Makefile

# Don't try to install man pages in %{prefix}/man but in RPM_BUILD_ROOT
find $RPM_BUILD_DIR -name Makefile -exec perl -p -i -e "s|^mandir.*|mandir = $RPM_BUILD_ROOT%{prefix}/man|" Makefile {} \;

# Don't use macros here. I want this, it's not a wish.
make install prefix=$RPM_BUILD_ROOT%{prefix}

strip tools/fnt2bdf
install -m 0755 tools/fnt2bdf $RPM_BUILD_ROOT%{prefix}/bin

install -d -m 0755 $RPM_BUILD_ROOT/etc/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/wine.conf

install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT%{prefix}/bin

%clean
rm -fr $RPM_BUILD_ROOT

%post
# 1 = First time install
if [ "$1" = "1" ]
then
	%{prefix}/bin/wine-config
else
	%{prefix}/bin/wine-config
fi
/sbin/ldconfig

%postun
/sbin/ldconfig

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc documentation/*
%doc ANNOUNCE AUTHORS BUGS ChangeLog DEVELOPERS-HINTS LICENSE README WARRANTY
%config(noreplace) /etc/wine.conf
#%config /etc/wine.conf
%{prefix}/man/man1/*
%{prefix}/man/man5/*
%{prefix}/bin/*
%{prefix}/lib/*

%files devel
%defattr(-,root,root)
%{prefix}/include/*

%changelog
* Mon Sep 11 2000 David BAUDENS <baudens@mandrakesoft.com> 20000909-1mdk
- 20000909

* Tue Sep 05 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-5mdk
- Rebuild with right options

* Sun Sep 03 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-4mdk
- Allow to use without install devel package

* Sat Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-3mdk
- Add packager tag

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-2mdk
- Add librpcrt4.so in devel package

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-1mdk
- 20000821
- Make RPMLint happy (thanks to Guillaume COTTENCEAU)
- Split in two packages (devel and non devel)

* Mon Aug 14 2000 David BAUDENS <baudens@mandrakesoft.com> 20000801-2mdk
- Fix macro disastear
- Enable OpenGL - It needs a lot of tests, so please report bugs
- Some little enhancements in wine-config
- Back in /usr/X11R6
- Spec clean up

* Tue Aug 08 2000 Geoffrey Lee <snailtalk2mandrakesoft.com> 20000801-1mdk
- s|20000716|20000801|
- *real* macrosifications

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 20000716-2mdk
- automatically added BuildRequires

* Wed Jul 19 2000 David BAUDENS <baudens@mandrakesoft.com> 20000716-1mdk
- 20000716
- BM
- Move into /usr

* Mon Jul 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20000614-1mdk
- 20000614
- Make Pixel happy

* Sat May 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000526-1mdk
- 20000526

* Mon May 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000430-1mdk
- 20000430
- spec cleanup
- Update URL
- Update LICENSE

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 20000326-3mdk
- New group

* Tue Mar 30 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-2mdk
- Fix wine-config

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-1mdk
- 20000326

* Sun Mar 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-2mdk
- Use new group
- Clean up spec

* Wed Mar 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-1mdk
- 20000227

* Thu Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build with new Mesa

* Fri Nov 18 1999 - David BAUDNS <baudens@mandrakesoft.com>
- 991114

* Mon Nov 01 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 991031
- Add i486, i686 and k6 arch
- Delete all locale summary and description (it's in po now)

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990923

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Fix an old bug in the spec (Thanks dark chmouel)

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 19990731

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post script syntax.

* Tue Jul  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990704
	* windows/*.c, ole/*.c, files/*.c, multimedia/*.c:
	Converted to the new debug interface, using script written by Patrik
	Stridvall.

* Thu May 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixed %post scripts.
- Upgrade Prereq.

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 990518
- --enable-dll
- add de locale
- ignore RPM_OPT_FLAGS - Wine segfaults if compiled with more optimizations
  than -O2.

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake 6.0 adaptations.
- 990508

* Tue Apr 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990328.

* Tue Mar 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990314
- Fix in the wine-config postinstall script.

* Sun Jan 03 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- deleted the %post %postun of package wine-debug (no more needed since
  the wrapper does now the job)
- make use of %{prefix} definition; now changing almost one line you can
  choose wether you want to install in /usr/local or /usr or %{prefix}
- changed %post so it is only done the *first* time it is installed 
  (otherwise people will hate us for doing weird things whith their
  hand made configurations)

* Tue Dec 29 1998 Chmouel Boudjnah <crbc@club-internet.fr>
- Adding speciale wine-conf for mandrake
- Adding postinstall script
- Changing the ./configure to put wine.conf in /etc and prefix on %{prefix}
- First version receveid from Pablo Saratxaga <srtxg@chanae.alphanet.ch>
